package ru.ldeloff.servermonitorbot.service.user;

import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import ru.ldeloff.servermonitorbot.model.User;
import ru.ldeloff.servermonitorbot.repository.UserRepository;

@Service
@RequiredArgsConstructor
@Slf4j
public class UserServiceImpl implements UserService {

    final UserRepository userRepository;

    @Override
    public User saveOrUpdateUser(User user) {
        User existUser = userRepository.getByTelegramId(user.getTelegramId());
        if (existUser != null) {
            user.setId(existUser.getId());
        }
        return userRepository.save(user);
    }

    @Override
    public User getByTelegramId(Long id) {
        return userRepository.getByTelegramId(id);
    }
}
